﻿@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Web.Util;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_PartPricePartialScript")
<div class="content">
    <table style="width: 100%">
        <tr>
            <td style="width: 40%">
                <fieldset style="border: 1px; border-style: outset; width: 96%; height: 40px;">
                    <table>
                        <tr>
                            <td style="width: 320px; vertical-align: top">
                                @Html.Partial("_UploadPartial")
                            </td>
                            <td>
                                @Html.DevExpress().Button(Button =>
                                {
                                    Button.Name = "cmdUploadData";
                                    Button.Text = "Upload CSV";
                                    Button.Width = 120;
                                    Button.ClientSideEvents.Click = "OnUploadData";
                                    //Button.Style.Add("display", "inline-table");
                                    Button.UseSubmitBehavior = true;
                                    Button.ClientEnabled = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "UPLOAD");
                                }).GetHtml()
                                @Html.DevExpress().TextBox(hsettings =>
                                {
                                    hsettings.Name = "Process_ID2";
                                    hsettings.ClientVisible = false;
                                }).GetHtml()
                            </td>
                        </tr>
                        <tr>
                            <td>
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "";
                                }).GetHtml()
                                @Html.DevExpress().HyperLink(Link =>
                                {
                                    Link.Name = "cmdDownloadLink";
                                    Link.Properties.Text = "Download Template Excel";
                                    Link.Width = 160;
                                    //Link.Height = 20;
                                    Link.NavigateUrl = "Template/TemplatePartPriceMaster.xlsx";
                                    Link.Style.Add("display", "inline-table");
                                    //Button.ClientSideEvents.Click = "Upload";

                                }).GetHtml()
                            </td>
                            <td>
                                @*@Html.DevExpress().HyperLink(Link =>
                                {
                                    Link.Name = "cmdDownloadLinkCSV";
                                    Link.Properties.Text = "Download Template CSV";
                                    Link.Width = 160;
                                    Link.NavigateUrl = "Template/TemplatePartPriceMaster.csv";
                                    Link.Style.Add("display", "inline-table");
                                }).GetHtml()*@
                            </td>
                        </tr>
                    </table>
                </fieldset>
            </td>
            <td style="width: 60%">
                <fieldset style="border: 1px; border-style: outset; height: 40px; width: 96%">
                    <table border="0" width="100%">
                        <tr>
                            <td style="width: 10%;">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "Part No";
                                    Label.Width = 90;
                                }).GetHtml()
                            </td>
                            <td style="width: 15%;">
                                @Html.DevExpress().TextBox(
                                 settings =>
                                 {
                                     settings.Name = "I_PART_NO";
                                     settings.Width = 100;
                                     settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                 }
                              ).GetHtml()
                            </td>
                            <td style="width: 3%;">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "blank label";
                                    Label.Width = 400;
                                    Label.Name = "lblBlank";
                                    Label.ClientVisible = false;
                                }).GetHtml()
                            </td>
                            <td style="width: 7%;">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "Valid From";
                                    Label.Width = 90;
                                }).GetHtml()
                            </td>
                            <td style="width: 10%;">
                                @Html.DevExpress().DateEdit(
                                 settings =>
                                 {
                                     settings.Name = "I_VALID_FROM";
                                     settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                     settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                                     settings.Properties.DisplayFormatInEditMode = true;
                                     settings.Properties.EditFormatString = "dd.MM.yyyy";
                                     settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                     settings.ClientEnabled = true;
                                     settings.Properties.UseMaskBehavior = true;
                                     settings.Properties.EditFormat = EditFormat.Custom;
                                     settings.Properties.CalendarProperties.EnableYearNavigation = true;
                                     settings.Properties.ClientSideEvents.DateChanged = "I_VALID_FROM_OnChanged";
                                     settings.Width = 110;
                                 }).GetHtml()
                            </td>
                            <td style="width: 3%;">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "blank label";
                                    Label.Width = 50;
                                    Label.ClientVisible = false;
                                    Label.Name = "lblBlank2";
                                }).GetHtml()
                            </td>
                            <td style="width: 7%;">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "Valid To";
                                    Label.Width = 90;
                                }).GetHtml()
                            </td>
                            <td style="width: 10%;">
                                @Html.DevExpress().DateEdit(
                                 settings =>
                                 {
                                     settings.Name = "I_VALID_TO";
                                     settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                     settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                                     settings.Properties.DisplayFormatInEditMode = true;
                                     settings.Properties.EditFormatString = "dd.MM.yyyy";
                                     settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                     settings.ClientEnabled = true;
                                     settings.Properties.UseMaskBehavior = true;
                                     settings.Properties.EditFormat = EditFormat.Custom;
                                     settings.Properties.CalendarProperties.EnableYearNavigation = true;
                                     settings.Width = 110;
                                 }).GetHtml()
                            </td>
                            <td style="width: 3%;">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "blank label";
                                    Label.Width = 50;
                                    Label.ClientVisible = false;
                                    Label.Name = "lblBlank3";
                                }).GetHtml()
                            </td>
                            <td style="width: 110px">
                            @Html.DevExpress().CheckBox(ComboBoxSetting =>
                                {
                                    ComboBoxSetting.Name = "cmbLastActivePrice";
                                    ComboBoxSetting.Text = "Last Active Price";
                                    ComboBoxSetting.Properties.EnableClientSideAPI = true;
                                    ComboBoxSetting.Checked = false;
                                }).GetHtml()
                            </td>
                        </tr>
                    </table>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                &nbsp;
            </td>
        </tr>
    </table>
    <table border="0" width="100%">
        <tr>
            <td style="width: 25%;" align="left">
                @Html.DevExpress().Button(edtSetting =>
                {

                    edtSetting.Name = "cmdSave";
                    edtSetting.Width = 80;
                    edtSetting.Text = "Save";
                    edtSetting.ClientSideEvents.Click = "OnSave";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "SAVE");
                }).GetHtml()
                @Html.DevExpress().Button(edtSetting =>
                {
                    edtSetting.Name = "cmdCancel";
                    edtSetting.Width = 80;
                    edtSetting.Text = "Cancel";
                    edtSetting.ClientSideEvents.Click = "OnCancel";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "CANCEL");
                }).GetHtml()
            </td>
            <td style="width: 35%">
                @Html.DevExpress().Button(edtSetting =>
                {
                    edtSetting.Name = "cmdDownload";
                    edtSetting.Width = 120;
                    edtSetting.Text = "Download";
                    edtSetting.ClientSideEvents.Click = "OnDownload";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "DOWNLOAD");
                }).GetHtml()
            </td>
            <td style="width: 15%" align="left">
                @Html.DevExpress().Button(edtSetting =>
                {
                    edtSetting.Name = "cmdSearch";
                    edtSetting.Width = 80;
                    edtSetting.Text = "Search";
                    edtSetting.ClientSideEvents.Click = "OnSearch";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-01", "SEARCH");
                }).GetHtml()
                @Html.DevExpress().Button(edtSetting =>
                {
                    edtSetting.Name = "cmdClear";
                    edtSetting.Width = 80;
                    edtSetting.Text = "Clear";
                    edtSetting.ClientSideEvents.Click = "OnClear";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-01", "CLEAR");
                }).GetHtml()
            </td>
            <td style="width: 25%" align="right">
                @Html.DevExpress().Button(edtSetting =>
                {
                    edtSetting.Name = "cmdAdd";
                    edtSetting.Width = 80;
                    edtSetting.Text = "Add";
                    edtSetting.ClientSideEvents.Click = "OnAdd";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    edtSetting.ClientVisible = true;
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "ADD");
                }).GetHtml()
                 @Html.DevExpress().Button(edtSetting =>
                {
                    edtSetting.Name = "cmdEdit";
                    edtSetting.Width = 80;
                    edtSetting.Text = "Edit";
                    edtSetting.ClientSideEvents.Click = "OnEdit";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PriceMaster", "FTR-SPEX-125-02", "DELETE");
                }).GetHtml()
                @Html.DevExpress().Button(edtSetting =>
                {
                    edtSetting.Name = "cmdDelete";
                    edtSetting.Width = 80;
                    edtSetting.Text = "Delete";
                    edtSetting.ClientSideEvents.Click = "OnDelete";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "DELETE");
                }).GetHtml()
            </td>
        </tr>
    </table>
</div>
<div class="content" style="min-height: 350px">
    @Html.Partial("PartPriceGrid")
</div>